SELECT Код_типа_газозащиты INTO #TmpTable FROM Справочник_типов_газозащиты
SET IDENTITY_INSERT Справочник_типов_газозащиты ON

IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_типа_газозащиты = 1) INSERT INTO Справочник_типов_газозащиты (Код_типа_газозащиты,Описание) VALUES (1,'на основе реле ПГ-22')
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_типа_газозащиты = 2) INSERT INTO Справочник_типов_газозащиты (Код_типа_газозащиты,Описание) VALUES (2,'на основе реле ПГ3-22')
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_типа_газозащиты = 3) INSERT INTO Справочник_типов_газозащиты (Код_типа_газозащиты,Описание) VALUES (3,'на основе реле РГ43-66')
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_типа_газозащиты = 4) INSERT INTO Справочник_типов_газозащиты (Код_типа_газозащиты,Описание) VALUES (4,'на основе реле Бухгольца типа BF-80/Q')

SET IDENTITY_INSERT Справочник_типов_газозащиты OFF
DROP TABLE #TmpTable
